Package com.emc.d2fs.services.content_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.content_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.content_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.content_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetAllowedFilesRequest`
  `createGetAllowedFilesRequest()`
  Create an instance of `GetAllowedFilesRequest`
  `GetAllowedFilesResponse`
  `createGetAllowedFilesResponse()`
  Create an instance of `GetAllowedFilesResponse`
  `GetContentRequest`
  `createGetContentRequest()`
  Create an instance of `GetContentRequest`
  `GetContentResponse`
  `createGetContentResponse()`
  Create an instance of `GetContentResponse`
  `GetDoclistFilterOptionsRequest`
  `createGetDoclistFilterOptionsRequest()`
  Create an instance of `GetDoclistFilterOptionsRequest`
  `GetDoclistFilterOptionsResponse`
  `createGetDoclistFilterOptionsResponse()`
  Create an instance of `GetDoclistFilterOptionsResponse`
  `GetDQLContentFromConfigNameRequest`
  `createGetDQLContentFromConfigNameRequest()`
  Create an instance of `GetDQLContentFromConfigNameRequest`
  `GetDQLContentFromConfigNameResponse`
  `createGetDQLContentFromConfigNameResponse()`
  Create an instance of `GetDQLContentFromConfigNameResponse`
  `GetDQLContentRequest`
  `createGetDQLContentRequest()`
  Create an instance of `GetDQLContentRequest`
  `GetDQLContentResponse`
  `createGetDQLContentResponse()`
  Create an instance of `GetDQLContentResponse`
  `GetDynamicContentRequest`
  `createGetDynamicContentRequest()`
  Create an instance of `GetDynamicContentRequest`
  `GetDynamicContentResponse`
  `createGetDynamicContentResponse()`
  Create an instance of `GetDynamicContentResponse`
  `GetFacetContentRequest`
  `createGetFacetContentRequest()`
  Create an instance of `GetFacetContentRequest`
  `GetFacetContentResponse`
  `createGetFacetContentResponse()`
  Create an instance of `GetFacetContentResponse`
  `GetFilteredContentRequest`
  `createGetFilteredContentRequest()`
  Create an instance of `GetFilteredContentRequest`
  `GetFilteredContentResponse`
  `createGetFilteredContentResponse()`
  Create an instance of `GetFilteredContentResponse`
  `GetMultiContentRequest`
  `createGetMultiContentRequest()`
  Create an instance of `GetMultiContentRequest`
  `GetMultiContentResponse`
  `createGetMultiContentResponse()`
  Create an instance of `GetMultiContentResponse`
  `GetSearchContentRequest`
  `createGetSearchContentRequest()`
  Create an instance of `GetSearchContentRequest`
  `GetSearchContentResponse`
  `createGetSearchContentResponse()`
  Create an instance of `GetSearchContentResponse`
  `GetTasksSearchContentRequest`
  `createGetTasksSearchContentRequest()`
  Create an instance of `GetTasksSearchContentRequest`
  `GetTasksSearchContentResponse`
  `createGetTasksSearchContentResponse()`
  Create an instance of `GetTasksSearchContentResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.content_service

- ## Method Details

  - ### createGetContentRequest

    public GetContentRequest createGetContentRequest()
    Create an instance of `GetContentRequest`

  - ### createGetContentResponse

    public GetContentResponse createGetContentResponse()
    Create an instance of `GetContentResponse`

  - ### createGetFacetContentRequest

    public GetFacetContentRequest createGetFacetContentRequest()
    Create an instance of `GetFacetContentRequest`

  - ### createGetFacetContentResponse

    public GetFacetContentResponse createGetFacetContentResponse()
    Create an instance of `GetFacetContentResponse`

  - ### createGetSearchContentRequest

    public GetSearchContentRequest createGetSearchContentRequest()
    Create an instance of `GetSearchContentRequest`

  - ### createGetSearchContentResponse

    public GetSearchContentResponse createGetSearchContentResponse()
    Create an instance of `GetSearchContentResponse`

  - ### createGetDoclistFilterOptionsRequest

    public GetDoclistFilterOptionsRequest createGetDoclistFilterOptionsRequest()
    Create an instance of `GetDoclistFilterOptionsRequest`

  - ### createGetDoclistFilterOptionsResponse

    public GetDoclistFilterOptionsResponse createGetDoclistFilterOptionsResponse()
    Create an instance of `GetDoclistFilterOptionsResponse`

  - ### createGetAllowedFilesRequest

    public GetAllowedFilesRequest createGetAllowedFilesRequest()
    Create an instance of `GetAllowedFilesRequest`

  - ### createGetAllowedFilesResponse

    public GetAllowedFilesResponse createGetAllowedFilesResponse()
    Create an instance of `GetAllowedFilesResponse`

  - ### createGetFilteredContentRequest

    public GetFilteredContentRequest createGetFilteredContentRequest()
    Create an instance of `GetFilteredContentRequest`

  - ### createGetFilteredContentResponse

    public GetFilteredContentResponse createGetFilteredContentResponse()
    Create an instance of `GetFilteredContentResponse`

  - ### createGetDQLContentRequest

    public GetDQLContentRequest createGetDQLContentRequest()
    Create an instance of `GetDQLContentRequest`

  - ### createGetDQLContentResponse

    public GetDQLContentResponse createGetDQLContentResponse()
    Create an instance of `GetDQLContentResponse`

  - ### createGetDQLContentFromConfigNameRequest

    public GetDQLContentFromConfigNameRequest createGetDQLContentFromConfigNameRequest()
    Create an instance of `GetDQLContentFromConfigNameRequest`

  - ### createGetDQLContentFromConfigNameResponse

    public GetDQLContentFromConfigNameResponse createGetDQLContentFromConfigNameResponse()
    Create an instance of `GetDQLContentFromConfigNameResponse`

  - ### createGetDynamicContentRequest

    public GetDynamicContentRequest createGetDynamicContentRequest()
    Create an instance of `GetDynamicContentRequest`

  - ### createGetDynamicContentResponse

    public GetDynamicContentResponse createGetDynamicContentResponse()
    Create an instance of `GetDynamicContentResponse`

  - ### createGetMultiContentRequest

    public GetMultiContentRequest createGetMultiContentRequest()
    Create an instance of `GetMultiContentRequest`

  - ### createGetMultiContentResponse

    public GetMultiContentResponse createGetMultiContentResponse()
    Create an instance of `GetMultiContentResponse`

  - ### createGetTasksSearchContentRequest

    public GetTasksSearchContentRequest createGetTasksSearchContentRequest()
    Create an instance of `GetTasksSearchContentRequest`

  - ### createGetTasksSearchContentResponse

    public GetTasksSearchContentResponse createGetTasksSearchContentResponse()
    Create an instance of `GetTasksSearchContentResponse`